export interface RimInfoVO {
  /**
   * 轮辋编码
   */
  rimCode: string;

  /**
   * 轮辋名称
   */
  rimName: string;

  /**
   * 轮辋直径
   */
  rimDiameter: number;

  /**
   * 备注
   */
  remark: string;

}

export interface RimInfoForm extends BaseEntity {
  /**
   * 轮辋主键
   */
  rimId?: string | number;

  /**
   * 轮辋编码
   */
  rimCode?: string;

  /**
   * 轮辋名称
   */
  rimName?: string;

  /**
   * 轮辋直径
   */
  rimDiameter?: number;

  /**
   * 备注
   */
  remark?: string;

}

export interface RimInfoQuery extends PageQuery {

  /**
   * 轮辋编码
   */
  rimCode?: string;

  /**
   * 轮辋名称
   */
  rimName?: string;

  /**
   * 轮辋直径
   */
  rimDiameter?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



