export interface PsmStoreTypeVO {
  /**
   * 表主键
   */
  storeTypeId: string | number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 库区代码
   */
  storeTypeCode: string;

  /**
   * 库区名称
   */
  storeTypeName: string;

  /**
   * 存放品级编号
   */
  checkGradeCode: string;

  /**
   * 存放品级名称
   */
  checkGradeName: string;

  /**
   * 所属仓库
   */
  storeId: string | number;

}

export interface PsmStoreTypeForm extends BaseEntity {
  /**
   * 库区代码
   */
  storeTypeCode?: string;
  storeTypeId: string | number;
  /**
   * 库区名称
   */
  storeTypeName?: string;

  /**
   * 存放品级编号
   */
  checkGradeCode?: string;

  /**
   * 存放品级名称
   */
  checkGradeName?: string;

  /**
   * 所属仓库
   */
  storeId?: string | number;

}

export interface PsmStoreTypeQuery extends PageQuery {

  /**
   * 库区代码
   */
  storeTypeCode?: string;

  /**
   * 库区名称
   */
  storeTypeName?: string;

  /**
   * 存放品级编号
   */
  checkGradeCode?: string;
  storeTypeId: string | number;
  /**
   * 存放品级名称
   */
  checkGradeName?: string;

  /**
   * 所属仓库
   */
  storeId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



