export interface ProdBaseProcessProdLineVO {
  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 所属产线ID
   */
  prodLineId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 创建人
   */
  createBy: string;

  /**
   * 创建时间
   */
  createTime: string;

}

export interface ProdBaseProcessProdLineForm extends BaseEntity {
  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 所属产线ID
   */
  prodLineId?: string | number;

  prodLines?: string[];



}

export interface ProdBaseProcessProdLineQuery extends PageQuery {

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 所属产线ID
   */
  prodLineId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



