export interface PsmStorageVO {
  /**
   * 表主键
   */
  objid: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 轮胎规格
   */
  materialSpe: string;

  /**
   * 硫化条码
   */
  tyreNo: string;

  /**
   * 品级编号
   */
  checkGradeCode: string;

  /**
   * 仓库名称
   */
  storeName: string;

  /**
   * 库位条码
   */
  storePlaceCode: string;

  /**
   * 工装条码
   */
  toolingBarcode: string;

}

export interface PsmStorageForm extends BaseEntity {
  /**
   * 表主键
   */
  objid?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 轮胎规格
   */
  materialSpe?: string;

  /**
   * 硫化条码
   */
  tyreNo?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

  /**
   * 仓库名称
   */
  storeName?: string;

  /**
   * 库位条码
   */
  storePlaceCode?: string;

  /**
   * 工装条码
   */
  toolingBarcode?: string;

}

export interface PsmStorageQuery extends PageQuery {

  /**
   * 表主键
   */
  objid?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 轮胎规格
   */
  materialSpe?: string;

  /**
   * 硫化条码
   */
  tyreNo?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

  /**
   * 仓库名称
   */
  storeName?: string;

  /**
   * 库位条码
   */
  storePlaceCode?: string;

  /**
   * 工装条码
   */
  toolingBarcode?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



