export interface PsmStoreVO {
  /**
   * 表主键
   */
  storeId: string | number;

  /**
   * 仓库名称
   */
  storeName: string;

  /**
   * 仓库编码
   */
  storeCode: string;

  /**
   * 仓库类型
   */
  storeTypeId: string | number;

}

export interface PsmStoreForm extends BaseEntity {
  /**
   * 表主键
   */
  storeId?: string | number;

  /**
   * 仓库名称
   */
  storeName?: string;

  /**
   * 仓库编码
   */
  storeCode?: string;

  /**
   * 仓库类型
   */
  storeTypeId?: string | number;

}

export interface PsmStoreQuery extends PageQuery {

  /**
   * 表主键
   */
  storeId?: string | number;

  /**
   * 仓库名称
   */
  storeName?: string;

  /**
   * 仓库编码
   */
  storeCode?: string;

  /**
   * 仓库类型
   */
  storeTypeId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



